Perl-MinimumVersion

Metadata

Analyzed metadata and errors of Perl-MinimumVersion.

{
   "abstracts_in_pod" : {
      "Perl::MinimumVersion" : "Find a minimum required version of perl for Perl code"
   },
   "author" : "ADAMK",
   "buildfile_executable" : 0,
   "dir_lib" : "lib",
   "dir_t" : "t",
   "dirs_array" : [
      "lib",
      "lib/Perl",
      "t",
      "inc",
      "inc/Module",
      "inc/Module/Install",
      "bin"
   ],
   "dist" : "Perl-MinimumVersion",
   "dynamic_config" : 0,
   "error" : {
      "meta_yml_conforms_to_known_spec" : "Expected a list structure (author) [Validation: 1.3]",
      "use_warnings" : "Perl::MinimumVersion"
   },
   "extension" : "tar.gz",
   "external_license_file" : "LICENSE",
   "extractable" : 1,
   "extracts_nicely" : 1,
   "file__build" : 0,
   "file_blib" : 0,
   "file_build" : 0,
   "file_changelog" : "Changes",
   "file_license" : "LICENSE",
   "file_makefile" : 0,
   "file_makefile_pl" : "Makefile.PL",
   "file_manifest" : "MANIFEST",
   "file_meta_yml" : "META.yml",
   "file_pm_to_blib" : 0,
   "file_readme" : "README",
   "files_array" : [
      "README",
      "Changes",
      "Makefile.PL",
      "META.yml",
      "MANIFEST",
      "LICENSE",
      "lib/Perl/MinimumVersion.pm",
      "bin/perlver"
   ],
   "files_hash" : {
      "Changes" : {
         "mtime" : 1173109849,
         "size" : 1468
      },
      "LICENSE" : {
         "mtime" : 1173109849,
         "size" : 20217
      },
      "MANIFEST" : {
         "mtime" : 1173109850,
         "size" : 423
      },
      "META.yml" : {
         "mtime" : 1173109849,
         "size" : 565
      },
      "Makefile.PL" : {
         "mtime" : 1173109849,
         "size" : 670,
         "used" : [
            "inc::Module::Install",
            "strict"
         ]
      },
      "README" : {
         "mtime" : 1173109849,
         "size" : 5057
      },
      "bin/perlver" : {
         "mtime" : 1173109849,
         "size" : 6701
      },
      "inc/Module/Install.pm" : {
         "mtime" : 1173109849,
         "no_index" : 1,
         "size" : 8076
      },
      "inc/Module/Install/Base.pm" : {
         "mtime" : 1173109849,
         "no_index" : 1,
         "size" : 1053
      },
      "inc/Module/Install/Can.pm" : {
         "mtime" : 1173109849,
         "no_index" : 1,
         "size" : 1788
      },
      "inc/Module/Install/Fetch.pm" : {
         "mtime" : 1173109849,
         "no_index" : 1,
         "size" : 2456
      },
      "inc/Module/Install/Makefile.pm" : {
         "mtime" : 1173109849,
         "no_index" : 1,
         "size" : 5946
      },
      "inc/Module/Install/Metadata.pm" : {
         "mtime" : 1173109849,
         "no_index" : 1,
         "size" : 8100
      },
      "inc/Module/Install/Scripts.pm" : {
         "mtime" : 1173109849,
         "no_index" : 1,
         "size" : 1304
      },
      "inc/Module/Install/Win32.pm" : {
         "mtime" : 1173109849,
         "no_index" : 1,
         "size" : 1806
      },
      "inc/Module/Install/WriteAll.pm" : {
         "mtime" : 1173109849,
         "no_index" : 1,
         "size" : 916
      },
      "lib/Perl/MinimumVersion.pm" : {
         "license" : "Perl_5",
         "module" : "Perl::MinimumVersion",
         "mtime" : 1173109849,
         "size" : 13863,
         "used" : [
            "5.005",
            "Carp",
            "Exporter",
            "List::Util",
            "PPI",
            "PPI::Util",
            "Params::Util",
            "strict",
            "vars",
            "version"
         ]
      },
      "t/01_compile.t" : {
         "mtime" : 1173109849,
         "no_index" : 1,
         "size" : 244,
         "used" : [
            "Test::More",
            "strict"
         ]
      },
      "t/02_main.t" : {
         "mtime" : 1173109849,
         "no_index" : 1,
         "required" : [
            "5.005",
            "5.006"
         ],
         "size" : 5153,
         "used" : [
            "5.008",
            "File::Spec::Functions",
            "PPI",
            "Perl::MinimumVersion",
            "Test::More",
            "constant",
            "strict",
            "utf8",
            "version"
         ]
      },
      "t/03_perlver.t" : {
         "mtime" : 1173109849,
         "no_index" : 1,
         "size" : 214,
         "used" : [
            "Test::More",
            "Test::Script",
            "strict"
         ]
      },
      "t/99_author.t" : {
         "mtime" : 1173109849,
         "no_index" : 1,
         "size" : 1342,
         "used" : [
            "Test::More",
            "strict"
         ],
         "used_in_eval" : [
            "Test::Pod"
         ]
      }
   },
   "got_prereq_from" : "META.yml",
   "included_modules" : [
      "Module::Install::Base",
      "Module::Install::WriteAll",
      "Module::Install::Scripts",
      "Module::Install::Metadata",
      "Module::Install::Can",
      "Module::Install::Win32",
      "Module::Install::Makefile",
      "Module::Install",
      "Module::Install::Fetch"
   ],
   "kwalitee" : {
      "buildtool_not_executable" : 1,
      "consistent_version" : 1,
      "distname_matches_name_in_meta" : 1,
      "extractable" : 1,
      "extracts_nicely" : 1,
      "has_abstract_in_pod" : 1,
      "has_buildtool" : 1,
      "has_changelog" : 1,
      "has_human_readable_license" : 1,
      "has_known_license_in_source_file" : 1,
      "has_license_in_source_file" : 1,
      "has_manifest" : 1,
      "has_meta_yml" : 1,
      "has_proper_version" : 1,
      "has_readme" : 1,
      "has_separate_license_file" : 1,
      "has_tests" : 1,
      "has_tests_in_t_dir" : 1,
      "has_version" : 1,
      "kwalitee" : "95.45",
      "manifest_matches_dist" : 1,
      "meta_json_conforms_to_known_spec" : 1,
      "meta_json_is_parsable" : 1,
      "meta_yml_conforms_to_known_spec" : 0,
      "meta_yml_declares_perl_version" : 1,
      "meta_yml_has_license" : 1,
      "meta_yml_has_provides" : 0,
      "meta_yml_has_repository_resource" : 0,
      "meta_yml_is_parsable" : 1,
      "no_abstract_stub_in_pod" : 1,
      "no_broken_auto_install" : 1,
      "no_broken_module_install" : 1,
      "no_dot_dirs" : 1,
      "no_dot_underscore_files" : 1,
      "no_generated_files" : 1,
      "no_invalid_versions" : 1,
      "no_local_dirs" : 1,
      "no_mymeta_files" : 1,
      "no_pax_headers" : 1,
      "no_pod_errors" : 1,
      "no_stdin_for_prompting" : 1,
      "no_symlinks" : 1,
      "package_version_matches_dist_version" : 1,
      "portable_filenames" : 1,
      "proper_libs" : 1,
      "use_strict" : 1,
      "use_warnings" : 0,
      "valid_signature" : 1
   },
   "latest_mtime" : 1173109850,
   "license" : "perl defined in META.yml defined in LICENSE",
   "license_file" : "lib/Perl/MinimumVersion.pm",
   "license_from_yaml" : "perl",
   "license_in_pod" : 1,
   "license_type" : "Perl_5",
   "licenses" : {
      "Perl_5" : [
         "lib/Perl/MinimumVersion.pm"
      ]
   },
   "manifest_matches_dist" : 1,
   "meta_yml" : {
      "abstract" : "Find a minimum required version of perl for Perl code",
      "author" : "Adam Kennedy <cpan@ali.as>",
      "build_requires" : {
         "File::Spec" : "0.80",
         "Test::More" : "0.47",
         "Test::Script" : "1.02"
      },
      "distribution_type" : "module",
      "generated_by" : "Module::Install version 0.65_01",
      "license" : "perl",
      "meta-spec" : {
         "url" : "http://module-build.sourceforge.net/META-spec-v1.3.html",
         "version" : "1.3"
      },
      "name" : "Perl-MinimumVersion",
      "no_index" : {
         "directory" : [
            "inc",
            "t"
         ]
      },
      "requires" : {
         "Carp" : "0",
         "File::Find::Rule" : "0",
         "List::Util" : "1.17",
         "PPI" : "1.118",
         "Params::Util" : "0.06",
         "perl" : "5.005",
         "version" : "0.70"
      },
      "version" : "0.14"
   },
   "meta_yml_is_parsable" : 1,
   "meta_yml_spec_version" : "1.3",
   "module_install" : {
      "version" : "0.65_01"
   },
   "modules" : [
      {
         "file" : "lib/Perl/MinimumVersion.pm",
         "in_basedir" : 0,
         "in_lib" : 1,
         "module" : "Perl::MinimumVersion"
      }
   ],
   "no_index" : "^inc/;^t/",
   "no_pax_headers" : 1,
   "package" : "Perl-MinimumVersion-0.14.tar.gz",
   "prereq" : [
      {
         "is_build_prereq" : 1,
         "requires" : "File::Spec",
         "type" : "build_requires",
         "version" : "0.80"
      },
      {
         "is_build_prereq" : 1,
         "requires" : "Test::More",
         "type" : "build_requires",
         "version" : "0.47"
      },
      {
         "is_prereq" : 1,
         "requires" : "version",
         "type" : "runtime_requires",
         "version" : "0.70"
      },
      {
         "is_build_prereq" : 1,
         "requires" : "Test::Script",
         "type" : "build_requires",
         "version" : "1.02"
      },
      {
         "is_prereq" : 1,
         "requires" : "perl",
         "type" : "runtime_requires",
         "version" : "5.005"
      },
      {
         "is_prereq" : 1,
         "requires" : "File::Find::Rule",
         "type" : "runtime_requires",
         "version" : "0"
      },
      {
         "is_prereq" : 1,
         "requires" : "Params::Util",
         "type" : "runtime_requires",
         "version" : "0.06"
      },
      {
         "is_prereq" : 1,
         "requires" : "List::Util",
         "type" : "runtime_requires",
         "version" : "1.17"
      },
      {
         "is_prereq" : 1,
         "requires" : "Carp",
         "type" : "runtime_requires",
         "version" : "0"
      },
      {
         "is_prereq" : 1,
         "requires" : "PPI",
         "type" : "runtime_requires",
         "version" : "1.118"
      }
   ],
   "released_epoch" : 1173110333,
   "size_packed" : 27707,
   "size_unpacked" : 87362,
   "uses" : {
      "required_in_tests" : {
         "5.005" : 1,
         "5.006" : 1
      },
      "used_in_code" : {
         "5.005" : 1,
         "Carp" : 1,
         "Exporter" : 1,
         "List::Util" : 1,
         "PPI" : 1,
         "PPI::Util" : 1,
         "Params::Util" : 1,
         "strict" : 1,
         "vars" : 1,
         "version" : 1
      },
      "used_in_config" : {
         "inc::Module::Install" : 1,
         "strict" : 1
      },
      "used_in_eval_in_tests" : {
         "Test::Pod" : 1
      },
      "used_in_tests" : {
         "5.008" : 1,
         "File::Spec::Functions" : 1,
         "PPI" : 1,
         "Test::More" : 4,
         "Test::Script" : 1,
         "constant" : 2,
         "strict" : 4,
         "utf8" : 1,
         "version" : 1
      }
   },
   "valid_signature" : -1,
   "version" : "0.14",
   "versions" : {
      "lib/Perl/MinimumVersion.pm" : {
         "Perl::MinimumVersion" : "0.14"
      }
   },
   "vname" : "Perl-MinimumVersion-0.14"
}